windows安装python3.7.7启动ride.py报错

python3.7.7启动ride.py
本机版本信息如下,所有版本都是64位
图片说明

启动ride.py时,报错如下:
图片说明

请教各位大佬,如何解决

答友提说说使用命令python ride.py,执行结果无响应
图片说明

2个回答

看提示貌似是wxpython 没安装好?升级 wxpython试试

pip install --upgrade wxpython

另外, 你是要 运行 Robot Framework 吗?

我看到有说 Robot Framework目前与Python 3.x版本不兼容

qinyu112
qinyu112 嗯,我要启动,这里就报错了。
4 个月之前 回复

运行py文件,应该是:python ride.py

qinyu112
qinyu112 执行你的这条命令python ride.py,cmd上没有结果响应
4 个月之前 回复
qinyu112
qinyu112 我是根据这篇文章的指引安装及启动软件https://www.cnblogs.com/dream66/p/10647166.html
4 个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Anaconda+TensorFlow安装(Windows)以及嵌入pycharm不成功。求解答

在Anaconda安装TensorFlow不知道哪里的问题总是不成功,跪求大神指点! pycharm中设置中找到的python.exe也没有图标 ![图片说明](https://img-ask.csdn.net/upload/202004/01/1585754864_556607.png) 这个是anaconda里的 ``` (tensorflow) C:\Users\XXX>conda info --envs # conda environments: # base D:\ProgramData\Anaconda3 tensorflow * D:\ProgramData\Anaconda3\envs\tensorflow (tensorflow) C:\Users\XXX>python --version Python 3.7.7 ``` 安装完tensorflow之后执行python后输入import tensorflow as ty卡在这里了 ``` (tensorflow) C:\Users\XXX>python Python 3.7.7 (default, Mar 23 2020, 23:19:08) [MSC v.1916 64 bit (AMD64)] :: Anaconda, Inc. on win32 Type "help", "copyright", "credits" or "license" for more information. >>> import tensorflow as tf Traceback (most recent call last): File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow\__init__.py", line 101, in <module> from tensorflow_core import * File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module> from tensorflow.python.tools import module_util as _module_util File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__ module = self._load() File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow\__init__.py", line 44, in _load module = _importlib.import_module(self.__name__) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\importlib\__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help. ``` pycharm中设置中找到的python也没有图标 ![图片说明](https://img-ask.csdn.net/upload/202004/01/1585754864_556607.png)

pyinstaller3.6 封装python3.7的代码出错

## pyinstaller3.6 封装python3.7的代码出错 封装没有问题 运行就出错 心态崩了 EXE运行结果如下: ``` Traceback (most recent call last): File "site-packages\PyInstaller\loader\rthooks\pyi_rth_pkgres.py", line 13, in <module> File "d:\python\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 623, in exec_module exec(bytecode, module.__dict__) File "site-packages\pkg_resources\__init__.py", line 86, in <module> ModuleNotFoundError: No module named 'pkg_resources.py2_warn' [388] Failed to execute script pyi_rth_pkgres ``` 有大佬可以帮忙解决一下吗?

windows平台 C++ 调用Python3的问题

Py_SetPythonHome(L"D://Anaconda3");//配置python3 Py_Initialize(); if (Py_IsInitialized()) { int r = PyRun_SimpleString("print ('link success')"); } 上述代码,放在控制台程序下,可以输出link success. 但是在MFC程序下,却无法输出. 请问这是什么原因导致的?

用pycharm部署anaconda环境后,python console功能无法使用

如果能解决问题感激不尽!!!用pycharm部署anaconda环境后,python console功能无法使用。![图片说明](https://img-ask.csdn.net/upload/201901/12/1547302556_16099.png)![图片说明](https://img-ask.csdn.net/upload/201901/12/1547302572_415413.png)

python3.7中的tensorflow2.0模块没有的问题。

小白刚做手写字识别,遇到tensorflow导入模块的一些问题,模块ModuleNotFoundError: No module named 'tensorflow.examples.tutorials'不会解决。 import keras # 导入Keras import numpy as np from keras.datasets import mnist # 从keras中导入mnist数据集 from keras.models import Sequential # 导入序贯模型 from keras.layers import Dense # 导入全连接层 from keras.optimizers import SGD # 导入优化函数 from tensorflow.examples.tutorials.mnist import input_data mnist = input_data.read_data_sets("MNIST_data", one_hot = True) ![图片说明](https://img-ask.csdn.net/upload/201911/17/1573957701_315782.png) 在网上找了好久,也不怎么懂,能告诉我详实点的解决办法。

Python 装饰器的疑问?

在学装饰器的时候看到这篇文章,[http://blog.csdn.net/mdl13412/article/details/22608283浅谈python闭包]。感觉很赞。但在最后部分“多个装饰器运行期行为”时糊涂了。 自己用下列程序桌布验证时发现了问题。 ``` def tracer(msg): print "[TRACE] %s" % msg def login_debug_helper(show_debug_info=False): tracer("login_debug_helper") def proxy_fun(func): tracer("proxy_fun") print '3' def delegate_fun(username, password): print '5' tracer("delegate_fun") if show_debug_info: print "username: %s\npassword: %s" % (username, password) return func(username, password) print '4' return delegate_fun return proxy_fun print 'Declaring login_a' @login_debug_helper(show_debug_info=True) def login_a(username, password): tracer("login_a") print "do some login authentication" return True print ' @2 Call login_a' login_a("mdl", "pwd") ``` 运行之后,输出的log如下: ``` Declaring login_a [TRACE] login_debug_helper [TRACE] proxy_fun 3 4 @2 Call login_a 5 [TRACE] delegate_fun username: mdl password: pwd [TRACE] login_a do some login authentication ``` 然后就有问题了。为什么“@2 Call login_a“ 在5之前? 为什么“TRACE] delegate_fun” 不是紧跟在[TRACE] proxy_fun 后面呢?

python3.7配置了pip,安装3.7对应的pygame一直安装不成功显示找不到对应是什么问题?

如图一,python3.7配置了pip19.3.1,安装3.7对应的pygame一直安装不成功,提示找不到对应版本,求教下这个怎么解决?![图片说明](https://img-ask.csdn.net/upload/201912/02/1575216297_77750.png) 使用powershell配置,结果如下: ![图片说明](https://img-ask.csdn.net/upload/201912/02/1575216352_197983.png)

求问大佬装TensorFlow出现这样的情况是怎么办呀

(TF2.1) C:\Users\lenovo>pip install tensorflow==2.1 Requirement already satisfied: tensorflow==2.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (2.1.0) Requirement already satisfied: termcolor>=1.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.1.0) Requirement already satisfied: protobuf>=3.8.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (3.11.3) Requirement already satisfied: absl-py>=0.7.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.9.0) Requirement already satisfied: opt-einsum>=2.3.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (3.2.1) Requirement already satisfied: google-pasta>=0.1.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.2.0) Requirement already satisfied: wheel>=0.26; python_version >= "3" in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.34.2) Requirement already satisfied: wrapt>=1.11.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.12.1) Requirement already satisfied: gast==0.2.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.2.2) Requirement already satisfied: six>=1.12.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.14.0) Requirement already satisfied: numpy<2.0,>=1.16.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.18.4) Requirement already satisfied: tensorboard<2.2.0,>=2.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (2.1.1) Requirement already satisfied: tensorflow-estimator<2.2.0,>=2.1.0rc0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (2.1.0) Requirement already satisfied: grpcio>=1.8.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.28.1) Requirement already satisfied: astor>=0.6.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.8.1) Requirement already satisfied: scipy==1.4.1; python_version >= "3" in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.4.1) Requirement already satisfied: keras-applications>=1.0.8 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.0.8) Requirement already satisfied: keras-preprocessing>=1.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.1.0) Requirement already satisfied: setuptools in f:\anaconda3\envs\tf2.1\lib\site-packages (from protobuf>=3.8.0->tensorflow==2.1) (46.1.3.post20200330) Requirement already satisfied: markdown>=2.6.8 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.2.1) Requirement already satisfied: google-auth<2,>=1.6.3 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.14.1) Requirement already satisfied: google-auth-oauthlib<0.5,>=0.4.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.4.1) Requirement already satisfied: werkzeug>=0.11.15 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.0.1) Requirement already satisfied: requests<3,>=2.21.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2.23.0) Requirement already satisfied: h5py in f:\anaconda3\envs\tf2.1\lib\site-packages (from keras-applications>=1.0.8->tensorflow==2.1) (2.10.0) Requirement already satisfied: pyasn1-modules>=0.2.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.2.8) Requirement already satisfied: rsa<4.1,>=3.1.4 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (4.0) Requirement already satisfied: cachetools<5.0,>=2.0.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (4.1.0) Requirement already satisfied: requests-oauthlib>=0.7.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth-oauthlib<0.5,>=0.4.1->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.3.0) Requirement already satisfied: chardet<4,>=3.0.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.0.4) Requirement already satisfied: idna<3,>=2.5 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2.9) Requirement already satisfied: certifi>=2017.4.17 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2020.4.5.1) Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.25.9) Requirement already satisfied: pyasn1<0.5.0,>=0.4.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from pyasn1-modules>=0.2.1->google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.4.8) Requirement already satisfied: oauthlib>=3.0.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests-oauthlib>=0.7.0->google-auth-oauthlib<0.5,>=0.4.1->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.1.0) (TF2.1) C:\Users\lenovo>python Python 3.7.7 (default, Apr 15 2020, 05:09:04) [MSC v.1916 64 bit (AMD64)] :: Anaconda, Inc. on win32 Type "help", "copyright", "credits" or "license" for more information. >>> import tensorflow as tf Traceback (most recent call last): File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 101, in <module> from tensorflow_core import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module> from tensorflow.python.tools import module_util as _module_util File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__ module = self._load() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 44, in _load module = _importlib.import_module(self.__name__) File "F:\anaconda3\envs\TF2.1\lib\importlib\__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help.

rabbitmq双节点报错问题问题

rabbitmq-3.7.7通过.erlang.cookie做双节点,出现以下报错看看![图片说明](https://img-ask.csdn.net/upload/201811/29/1543458400_20360.png)是什么问题?

新人求教:Python掷骰子小游戏编程

各位达人:新人求教,跪求一个Python编程的小游戏,具体内容如下,跪拜叩首感谢! 421骰子游戏规则(Python编程) 1. 421骰子游戏是一个在欧洲国家非常流行的酒吧以及家庭娱乐游戏。 模拟4个玩家;三个骰子,二十一个筹码 2. 如何玩421骰子游戏: 开局,玩法,输赢:(每次游戏,所有的可议定的游戏规则必须在由玩家们在开局之前议定。) A. 如何开始: 要开始421骰子游戏,必须决定谁先开局,即哪个玩家先开始掷骰子。两个玩家可以先开始掷一个骰子,谁的分数最低,谁开局;也可以是谁的分数最高,谁开局,此规则可以在游戏开始时议定。 然后,每个玩家轮流掷骰子,按顺时针方向。 B. 开局,开始掷三个骰子。 421骰子游戏一般有两局,第一局抢筹码;第二局派光筹码。全部筹码叫做筹码池。第一局抢筹码:谁得到最多筹码,谁赢。在游戏第一局叫“担子”,玩家分配筹码,并且尽可能赢回筹码。每个玩家掷一次骰子,按顺时针方向轮流,直到五轮,第一局结束。 C. 输赢 第二局,开局,第一局谁赢了,谁开局。在游戏第二局叫“分流”,玩家尽可能将筹码用完,派给其他玩家,自己手上越少越好,直到派光。例如,得到421最佳组合后,可以将10个筹码派给此轮掷骰子得分最低的筹码组合获得者,谁的筹码派光了,谁赢。 3. 所有骰子组合: a. 三个骰子的组合为:6*6*6 = 216种可能 b. 得到421的可能:124, 142, 214, 241, 412, 421六个组合。6 / 216 = 1 / 36 c. 得到666,555,444,333,222,111的可能:六个组合。6 / 216 = 1 / 36 d. 得到30 种两个相同数字与一个不同数字组合 :112 113 114 115 116 ;122 223 224 225 226 ;133 233 334 335 336 ;144 244 344 445 446 ;155 255 355 455 556 ;166 266 366 466 566 ,三十个组合。此组合再乘3,例如112 121 211,得到30*3= 90 / 216 e. 得到三个不同数字组合:123 124 125 126 134 135 136 145 146 156 ,234 235 236 245 246 256 ,345 346 356,456 ,二十个组合。此组合再乘以6, 得到 20*6 = 120 / 216 (包括6个“421”:124, 142, 214, 241, 412, 421) f. 共计216种组合。 分配多少筹码是由投出的骰子组合所决定的。以下是骰子组合与筹码的对应表: 骰子组合 对应筹码个数 421得 10 个筹码; 111得 7 个筹码; 116 或者 666 得 6 个筹码; 115 或者 555 得 5 个筹码; 114 或者 444 得 4 个筹码; 113 或者 333 得 3 个筹码; 112 或者 222 得 2 个筹码; 顺子 (例如 123; 234; 345;或者 456等等) 2 个筹码; 所有其他组合 1 个筹码 4. 此程序可以进行100000次模拟游戏。

module 'tensorflow' has no attribute 'variable'

用pip装的tensorflow1.14.0,创建变量时报错: ``` import tensorflow as tf input=tf.variable(tf.random_normal([2,3,3,5])) 报错内容为: Traceback (most recent call last): File "E:/HelloWorld/AI/CV/project/exam.py", line 28, in <module> input=tf.variable(tf.random_normal([2,3,3,5])) File "E:\Anaconda3\lib\site-packages\tensorflow\python\util\deprecation_wrapper.py", line 106, in __getattr__ attr = getattr(self._dw_wrapped_module, name) AttributeError: module 'tensorflow' has no attribute 'variable' ``` 在网上找了好多种办法(卸了管理员模式重装,换个版本)都没有用。恳求大神帮忙解惑。 我的python是3.7.4的,但是activate tensorflow之后python是3.7.7的,不知道跟这个有没有关系。

装TensorFlow出现了这些问题是什么情况呀

(TF2.1) C:\Users\lenovo>pip install tensorflow==2.1 Requirement already satisfied: tensorflow==2.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (2.1.0) Requirement already satisfied: termcolor>=1.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.1.0) Requirement already satisfied: protobuf>=3.8.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (3.11.3) Requirement already satisfied: absl-py>=0.7.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.9.0) Requirement already satisfied: opt-einsum>=2.3.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (3.2.1) Requirement already satisfied: google-pasta>=0.1.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.2.0) Requirement already satisfied: wheel>=0.26; python_version >= "3" in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.34.2) Requirement already satisfied: wrapt>=1.11.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.12.1) Requirement already satisfied: gast==0.2.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.2.2) Requirement already satisfied: six>=1.12.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.14.0) Requirement already satisfied: numpy<2.0,>=1.16.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.18.4) Requirement already satisfied: tensorboard<2.2.0,>=2.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (2.1.1) Requirement already satisfied: tensorflow-estimator<2.2.0,>=2.1.0rc0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (2.1.0) Requirement already satisfied: grpcio>=1.8.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.28.1) Requirement already satisfied: astor>=0.6.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (0.8.1) Requirement already satisfied: scipy==1.4.1; python_version >= "3" in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.4.1) Requirement already satisfied: keras-applications>=1.0.8 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.0.8) Requirement already satisfied: keras-preprocessing>=1.1.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorflow==2.1) (1.1.0) Requirement already satisfied: setuptools in f:\anaconda3\envs\tf2.1\lib\site-packages (from protobuf>=3.8.0->tensorflow==2.1) (46.1.3.post20200330) Requirement already satisfied: markdown>=2.6.8 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.2.1) Requirement already satisfied: google-auth<2,>=1.6.3 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.14.1) Requirement already satisfied: google-auth-oauthlib<0.5,>=0.4.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.4.1) Requirement already satisfied: werkzeug>=0.11.15 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.0.1) Requirement already satisfied: requests<3,>=2.21.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2.23.0) Requirement already satisfied: h5py in f:\anaconda3\envs\tf2.1\lib\site-packages (from keras-applications>=1.0.8->tensorflow==2.1) (2.10.0) Requirement already satisfied: pyasn1-modules>=0.2.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.2.8) Requirement already satisfied: rsa<4.1,>=3.1.4 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (4.0) Requirement already satisfied: cachetools<5.0,>=2.0.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (4.1.0) Requirement already satisfied: requests-oauthlib>=0.7.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from google-auth-oauthlib<0.5,>=0.4.1->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.3.0) Requirement already satisfied: chardet<4,>=3.0.2 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.0.4) Requirement already satisfied: idna<3,>=2.5 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2.9) Requirement already satisfied: certifi>=2017.4.17 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (2020.4.5.1) Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests<3,>=2.21.0->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (1.25.9) Requirement already satisfied: pyasn1<0.5.0,>=0.4.6 in f:\anaconda3\envs\tf2.1\lib\site-packages (from pyasn1-modules>=0.2.1->google-auth<2,>=1.6.3->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (0.4.8) Requirement already satisfied: oauthlib>=3.0.0 in f:\anaconda3\envs\tf2.1\lib\site-packages (from requests-oauthlib>=0.7.0->google-auth-oauthlib<0.5,>=0.4.1->tensorboard<2.2.0,>=2.1.0->tensorflow==2.1) (3.1.0) (TF2.1) C:\Users\lenovo>python Python 3.7.7 (default, Apr 15 2020, 05:09:04) [MSC v.1916 64 bit (AMD64)] :: Anaconda, Inc. on win32 Type "help", "copyright", "credits" or "license" for more information. >>> import tensorflow as tf Traceback (most recent call last): File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 101, in <module> from tensorflow_core import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module> from tensorflow.python.tools import module_util as _module_util File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__ module = self._load() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow\__init__.py", line 44, in _load module = _importlib.import_module(self.__name__) File "F:\anaconda3\envs\TF2.1\lib\importlib\__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\anaconda3\envs\TF2.1\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\anaconda3\envs\TF2.1\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help.

使用pip install requests命令出错怎么办?python3.7版本(如图)

![图片说明](https://img-ask.csdn.net/upload/202002/26/1582723316_900408.png) 上网看到有人说要找到安装目录里的Script文件夹,可我看文件夹里什么也没有,为什么呢?

新手学python3遇到一个while循环的问题

QUE:下面是我的代码,为什么到date_mark为11的时候,没有跳出循环,而是一直不停的循环下去? ``` import time def send_beat(): date_mark=1 while True: if date_mark%2==1: print('date_mark值:',date_mark) time.sleep(0.5) date_mark=date_mark+2 elif date_mark==11: print('process is dead in',date_mark) break else: break if __name__=='__main__': send_beat() ```

Pyinstaller打包的exe文件在其他电脑无法正常运行

Python3.7.7 版本 在打包的电脑上,运行正常,且卸载需要的第三方库后,仍能正常运行 使用其他电脑(平台相同),就会报错,从报错信息来看,是第三库没能正确识别并有 Import Error:DLL load faied:The specified module could not be found. pywin32 pyinstaller均是最新版本

pyqt5 拖拽页面崩溃Process finished with exit code -1073740940 (0xC0000374)

先说一下环境 win10 python3.7.7 PyQt5 5.14.2 用QtDesigner做了个页面 ``` from PyQt5 import QtCore, QtGui, QtWidgets class Ui_MainWindow(object): def setupUi(self, MainWindow): MainWindow.setObjectName("MainWindow") MainWindow.resize(800, 600) self.centralwidget = QtWidgets.QWidget(MainWindow) self.centralwidget.setObjectName("centralwidget") self.verticalLayout = QtWidgets.QVBoxLayout(self.centralwidget) self.verticalLayout.setObjectName("verticalLayout") self.label = QtWidgets.QLabel(self.centralwidget) self.label.setStyleSheet("") self.label.setObjectName("label") self.verticalLayout.addWidget(self.label) MainWindow.setCentralWidget(self.centralwidget) self.retranslateUi(MainWindow) QtCore.QMetaObject.connectSlotsByName(MainWindow) def retranslateUi(self, MainWindow): _translate = QtCore.QCoreApplication.translate MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow")) self.label.setText(_translate("MainWindow", "TextLabel")) ``` 然后起线程循环将5张图片写入页面的label中 ``` import time from threading import Thread from PyQt5.QtWidgets import * from PyQt5.QtGui import * import sys from ui.main_page import Ui_MainWindow class MainWindow(QMainWindow, Ui_MainWindow): def __init__(self, parent=None): super().__init__(parent) super().setupUi(self) self.label.setScaledContents(True) thread = Thread(target=self.background_receiver, args=(self.label,), daemon=True) thread.start() def background_receiver(self, pic_label): files = ("D:\\material\\avatar\\baomao.jpeg", "D:\\material\\avatar\\isu.jpeg", "D:\\material\\avatar\\meng.jpeg", "D:\\material\\avatar\\van.jpeg", "D:\\material\\avatar\\yeah.jpeg",) while True: for file in files: image = QPixmap() image.load(file) pic_label.setPixmap(image) time.sleep(0.25) app = QApplication(sys.argv) m = MainWindow() m.show() sys.exit(app.exec_()) ``` 启动没有问题,但是只要拖拽改变窗口大小,页面就会崩溃 Process finished with exit code -1073740940 (0xC0000374) ![图片说明](https://img-ask.csdn.net/upload/202006/04/1591263114_929349.gif)

Phpfox插件3.7.7

<div class="post-text" itemprop="text"> <p>Whats is the difference between</p> <pre><code>(($sPlugin = Phpfox_Plugin::get('blog.service_process__start')) ? eval($sPlugin) : false); </code></pre> <p>and </p> <pre><code>{plugin call='blog.template_controller_add_hidden_form'} </code></pre> </div>

在Windows上用PHP更新sqlite3 dll

<div class="post-text" itemprop="text"> <p>I run PHP 5.4.16 on Apache on Windows. It uses sqlite3 3.7.7, I'd like to update it to 3.7.11.</p> <p>Can I just overwrite the php_sqlite3.dll in the ext subdirectory, or do I need to compile PHP?</p> </div>

CakePHP 3在为自定义查找器更改限制时给出错误的分页输出

<div class="post-text" itemprop="text"> <p>CakePHP 3.7.7</p> <p>I'm using the Paginator (<a href="https://book.cakephp.org/3.0/en/views/helpers/paginator.html" rel="nofollow noreferrer">https://book.cakephp.org/3.0/en/views/helpers/paginator.html</a>) to display pagination for a query that has 972 rows.</p> <p>In my Controller method I am loading the Paginator component and using a custom finder called <code>findFilters()</code> to return the data that I want paginated. </p> <pre><code>public function initialize() { parent::initialize(); $this-&gt;loadComponent('Paginator'); } public $paginate = [ 'finder' =&gt; 'filters', // uses custom finder, findFilters() in src/Model/Table/FiltersTable.php ]; /* * Called via ajax. Renders the data and pagination to a template. */ public function getFilters() { $this-&gt;viewBuilder()-&gt;setLayout('ajax'); $this-&gt;loadModel('Filters'); $rf_keywords = ''; $rf_keywords = trim($this-&gt;request-&gt;getData('rf_keywords')); // Pagination settings (relevant to the question). $page = $this-&gt;request-&gt;getData('page') ? (int)$this-&gt;request-&gt;getData('page') : 1; $this-&gt;paginate = ['limit' =&gt; 200, 'page' =&gt; $page]; $finder = $this -&gt;Filters -&gt;find('filters' , [ 'rf_keywords' =&gt; $rf_keywords ]); $data = $this -&gt;paginate($finder) -&gt;toArray(); $this-&gt;set('data', $data); } </code></pre> <p>In my template (<code>get_filters.ctp</code>) I have the following to output the pagination numbers (links to be clicked to go between pages) and the total counts:</p> <pre><code>&lt;?= $this-&gt;Paginator-&gt;numbers(); ?&gt; &lt;?= $this-&gt;Paginator-&gt;counter([ 'format' =&gt; 'Page {{page}} of {{pages}}, showing {{current}} records out of {{count}} total, starting on record {{start}}, ending on {{end}}' ]) ?&gt; </code></pre> <p><b>The problem</b> is that changing the <code>limit</code> in the Controller...</p> <pre><code>$this-&gt;paginate = ['limit' =&gt; 200]; </code></pre> <p>... is not updating the output of the Pagination correctly. See examples below:</p> <p><code>'limit' =&gt; 20</code>: Shows page numbers 1 - 9 and: </p> <blockquote> <p>Page 1 of 49, showing 20 records out of 972 total, starting on record 1, ending on 20 </p> </blockquote> <p><code>'limit' =&gt; 100</code>: Shows page numbers 1 - 9 and:</p> <blockquote> <p>Page 1 of 10, showing 100 records out of 972 total, starting on record 1, ending on 100</p> </blockquote> <p><code>'limit' =&gt; 500</code>: Shows page numbers 1 - 9 and: </p> <blockquote> <p>Page 1 of 10, showing 100 records out of 972 total, starting on record 1, ending on 100</p> </blockquote> <p><code>'limit' =&gt; 1000</code> <i>(more than there are rows in the DB!)</i>:</p> <p>Shows page numbers 1 - 9 and: </p> <blockquote> <p>Page 1 of 10, showing 100 records out of 972 total, starting on record 1, ending on 100</p> </blockquote> <p>So there are 2 problems:</p> <ol> <li><p>It doesn't work with any <code>limit</code> value &gt;100. Nothing changes in terms of the pagination output in the template. The behaviour is as though it is ignoring anything supplied as the limit and defaulting to 100.</p></li> <li><p>The page number links (<code>$this-&gt;Paginator-&gt;numbers();</code>) are always 1 - 9 when the <code>limit</code> is &gt;100. That is to say they stay the same irrespective of whether I use a limit of 100, 200, 500, 1000. I'm guessing this is due to problem (1) where it seems to ignore the actual limit set if it's &gt;100.</p></li> </ol> <p>I thought this was some caching issue. The ajax requests to <code>getFilters()</code> are being made via jquery so I have set <code>cache: false</code> on them to ensure each request appends a timestamp to the URL to ensure it's not using some old cached response.</p> <p>I have cleared the files in <code>tmp/cache/models/*</code></p> <p>I've a force refresh in the browser. Tried an incognito/private browsing window to make sure it's not some session issue.</p> <p>None of these things solve the problem.</p> <p>The issue is also consistent if the <code>page</code> part of Pagination is altered. For example using <code>page =&gt; 3</code> will give the correct rows from the database for page 3. But the Pagination HTML will still be exactly the same as where the problem occurs.</p> <p>Why isn't this working?</p> <p>Edit - the custom Finder returns the correct data so I don't think this is an issue. The signature is below and it returns a Query object which is executed via Pagination:</p> <pre><code>// src/Model/Table/FiltersTable.php public function findFilters(Query $query, array $options) { // $query-&gt;find() ... // ... return $query; } </code></pre> </div>

java jdk 8 帮助文档 中文 文档 chm 谷歌翻译

JDK1.8 API 中文谷歌翻译版 java帮助文档 JDK API java 帮助文档 谷歌翻译 JDK1.8 API 中文 谷歌翻译版 java帮助文档 Java最新帮助文档 本帮助文档是使用谷

软件测试2小时入门

本课程内容系统、全面、简洁、通俗易懂,通过2个多小时的介绍,让大家对软件测试有个系统的理解和认识,具备基本的软件测试理论基础。 主要内容分为5个部分: 1 软件测试概述,了解测试是什么、测试的对象、原则、流程、方法、模型;&nbsp; 2.常用的黑盒测试用例设计方法及示例演示;&nbsp; 3 常用白盒测试用例设计方法及示例演示;&nbsp; 4.自动化测试优缺点、使用范围及示例‘;&nbsp; 5.测试经验谈。

汽车行驶工况构建2019 D题.zip

1. 标记0与0之间的片段位置 2.标记所之间的毛刺数的位置 3.去掉毛刺数据 速度 并生成 新的数组 4.标记时间段 5. 0与0之间 如果有不连续的时间片段 置零 先找到时间间隔 再看间隔时间对应

Python+OpenCV计算机视觉

Python+OpenCV计算机视觉系统全面的介绍。

面试了一个 31 岁程序员,让我有所触动,30岁以上的程序员该何去何从?

最近面试了一个31岁8年经验的程序猿,让我有点感慨,大龄程序猿该何去何从。

专为程序员设计的数学课

<p> 限时福利限时福利,<span>15000+程序员的选择!</span> </p> <p> 1、原价 115 元,限时特价仅需 49 元!<br> 2、购课后添加学习助手(微信号:csdnxy68),按提示消息领取编程大礼包!并获取讲师答疑服务! </p> <p> <br> </p> <p> 套餐中一共包含5门程序员必学的数学课程(共47讲) </p> <p> 课程1:《零基础入门微积分》 </p> <p> 课程2:《数理统计与概率论》 </p> <p> 课程3:《代码学习线性代数》 </p> <p> 课程4:《数据处理的最优化》 </p> <p> 课程5:《马尔可夫随机过程》 </p> <p> <br> </p> <p> 哪些人适合学习这门课程? </p> <p> 1)大学生,平时只学习了数学理论,并未接触如何应用数学解决编程问题; </p> <p> 2)对算法、数据结构掌握程度薄弱的人,数学可以让你更好的理解算法、数据结构原理及应用; </p> <p> 3)看不懂大牛代码设计思想的人,因为所有的程序设计底层逻辑都是数学; </p> <p> 4)想学习新技术,如:人工智能、机器学习、深度学习等,这门课程是你的必修课程; </p> <p> 5)想修炼更好的编程内功,在遇到问题时可以灵活的应用数学思维解决问题。 </p> <p> <br> </p> <p> 在这门「专为程序员设计的数学课」系列课中,我们保证你能收获到这些:<br> <br> <span> </span> </p> <p class="ql-long-24357476"> <span class="ql-author-24357476">①价值300元编程课程大礼包</span> </p> <p class="ql-long-24357476"> <span class="ql-author-24357476">②应用数学优化代码的实操方法</span> </p> <p class="ql-long-24357476"> <span class="ql-author-24357476">③数学理论在编程实战中的应用</span> </p> <p class="ql-long-24357476"> <span class="ql-author-24357476">④程序员必学的5大数学知识</span> </p> <p class="ql-long-24357476"> <span class="ql-author-24357476">⑤人工智能领域必修数学课</span> </p> <p> <br> 备注:此课程只讲程序员所需要的数学,即使你数学基础薄弱,也能听懂,只需要初中的数学知识就足矣。<br> <br> 如何听课? </p> <p> 1、登录CSDN学院 APP 在我的课程中进行学习; </p> <p> 2、登录CSDN学院官网。 </p> <p> <br> </p> <p> 购课后如何领取免费赠送的编程大礼包和加入答疑群? </p> <p> 购课后,添加助教微信:<span> csdnxy68</span>,按提示领取编程大礼包,或观看付费视频的第一节内容扫码进群答疑交流! </p> <p> <img src="https://img-bss.csdn.net/201912251155398753.jpg" alt=""> </p>

微信公众平台开发入门

本套课程的设计完全是为初学者量身打造,课程内容由浅入深,课程讲解通俗易懂,代码实现简洁清晰。通过本课程的学习,学员能够入门微信公众平台开发,能够胜任企业级的订阅号、服务号、企业号的应用开发工作。 通过本课程的学习,学员能够对微信公众平台有一个清晰的、系统性的认识。例如,公众号是什么,它有什么特点,它能做什么,怎么开发公众号。 其次,通过本课程的学习,学员能够掌握微信公众平台开发的方法、技术和应用实现。例如,开发者文档怎么看,开发环境怎么搭建,基本的消息交互如何实现,常用的方法技巧有哪些,真实应用怎么开发。

4小时玩转微信小程序——基础入门与微信支付实战

这是一个门针对零基础学员学习微信小程序开发的视频教学课程。课程采用腾讯官方文档作为教程的唯一技术资料来源。杜绝网络上质量良莠不齐的资料给学员学习带来的障碍。 视频课程按照开发工具的下载、安装、使用、程序结构、视图层、逻辑层、微信小程序等几个部分组织课程,详细讲解整个小程序的开发过程

Java基础知识面试题(2020最新版)

文章目录Java概述何为编程什么是Javajdk1.5之后的三大版本JVM、JRE和JDK的关系什么是跨平台性?原理是什么Java语言有哪些特点什么是字节码?采用字节码的最大好处是什么什么是Java程序的主类?应用程序和小程序的主类有何不同?Java应用程序与小程序之间有那些差别?Java和C++的区别Oracle JDK 和 OpenJDK 的对比基础语法数据类型Java有哪些数据类型switc...

IE主页被篡改修复

IE主页修复。IE主页被篡改修复。一键修复IE主页

我说我不会算法,阿里把我挂了。

不说了,字节跳动也反手把我挂了。

土豆SDK(Java版)-非官方

由于土豆SDK一直建设中,最近几天抽空写了一套java的SDK。包含了现有的所有请求协议。本套SDK中仅提供了oAuth的方式(引用oAuth.net的java版示例),并没有在框架中实现,涉及到登录

Java8零基础入门视频教程

这门课程基于主流的java8平台,由浅入深的详细讲解了java SE的开发技术,可以使java方向的入门学员,快速扎实的掌握java开发技术!

【数据结构与算法综合实验】欢乐连连看(C++ & MFC)案例

这是武汉理工大学计算机学院数据结构与算法综合实验课程的第三次项目:欢乐连连看(C++ & MFC)迭代开发代码。运行环境:VS2017。已经实现功能:开始游戏、消子、判断胜负、提示、重排、计时、帮助。

数学建模竞赛D题“汽车行驶工况构建

第十六届“华为杯”数学建模竞赛D题“汽车行驶工况构建”论文。论文获得比赛国家二等奖,论文为原创,仅供参考。 关键词:数据处理;降维;聚类。

Vue.js 2.0之全家桶系列视频课程

基于新的Vue.js 2.3版本, 目前新全的Vue.js教学视频,让你少走弯路,直达技术前沿! 1. 包含Vue.js全家桶(vue.js、vue-router、axios、vuex、vue-cli、webpack、ElementUI等) 2. 采用笔记+代码案例的形式讲解,通俗易懂

Android音视频开发全套

Android平台音视频开发全套,涉及:FFmpeg软解码解码、Mediacodec硬解码编码、Openssl音频播放、OpenGL ES视频渲染、RTMP推流等核心重要知识点。

设计模式(JAVA语言实现)--20种设计模式附带源码

课程亮点: 课程培训详细的笔记以及实例代码,让学员开始掌握设计模式知识点 课程内容: 工厂模式、桥接模式、组合模式、装饰器模式、外观模式、享元模式、原型模型、代理模式、单例模式、适配器模式 策略模式、模板方法模式、观察者模式、迭代器模式、责任链模式、命令模式、备忘录模式、状态模式、访问者模式 课程特色: 笔记设计模式,用笔记串连所有知识点,让学员从一点一滴积累,学习过程无压力 笔记标题采用关键字标识法,帮助学员更加容易记住知识点 笔记以超链接形式让知识点关联起来,形式知识体系 采用先概念后实例再应用方式,知识点深入浅出 提供授课内容笔记作为课后复习以及工作备查工具 部分图表(电脑PC端查看):

极简JAVA学习营第四期(报名以后加助教微信:eduxy-1)

想学好JAVA必须要报两万的培训班吗? Java大神勿入 如果你: 零基础想学JAVA却不知道从何入手 看了一堆书和视频却还是连JAVA的环境都搭建不起来 囊中羞涩面对两万起的JAVA培训班不忍直视 在职没有每天大块的时间专门学习JAVA 那么恭喜你找到组织了,在这里有: 1. 一群志同道合立志学好JAVA的同学一起学习讨论JAVA 2. 灵活机动的学习时间完成特定学习任务+每日编程实战练习 3. 热心助人的助教和讲师及时帮你解决问题,不按时完成作业小心助教老师的家访哦 上一张图看看前辈的感悟: &nbsp; &nbsp; 大家一定迫不及待想知道什么是极简JAVA学习营了吧,下面就来给大家说道说道: 什么是极简JAVA学习营? 1. 针对Java小白或者初级Java学习者; 2. 利用9天时间,每天1个小时时间; 3.通过 每日作业 / 组队PK / 助教答疑 / 实战编程 / 项目答辩 / 社群讨论 / 趣味知识抢答等方式让学员爱上学习编程 , 最终实现能独立开发一个基于控制台的‘库存管理系统’ 的学习模式 极简JAVA学习营是怎么学习的? &nbsp; 如何报名? 只要购买了极简JAVA一:JAVA入门就算报名成功! &nbsp;本期为第四期极简JAVA学习营,我们来看看往期学员的学习状态: 作业看这里~ &nbsp; 助教的作业报告是不是很专业 不交作业打屁屁 助教答疑是不是很用心 &nbsp; 有奖抢答大家玩的很嗨啊 &nbsp; &nbsp; 项目答辩终于开始啦 &nbsp; 优秀者的获奖感言 &nbsp; 这是答辩项目的效果 &nbsp; &nbsp; 这么细致的服务,这么好的氛围,这样的学习效果,需要多少钱呢? 不要1999,不要199,不要99,只要9.9 是的你没听错,只要9.9以上所有就都属于你了 如果你: 1、&nbsp;想学JAVA没有基础 2、&nbsp;想学JAVA没有整块的时间 3、&nbsp;想学JAVA没有足够的预算 还等什么?赶紧报名吧,抓紧抢位,本期只招300人,错过只有等时间待定的下一期了 &nbsp; 报名请加小助手微信:eduxy-1 &nbsp; &nbsp;

2019 AI开发者大会

2019 AI开发者大会(AI ProCon 2019)是由中国IT社区CSDN主办的AI技术与产业年度盛会。多年经验淬炼,如今蓄势待发:2019年9月6-7日,大会将有近百位中美顶尖AI专家、知名企业代表以及千余名AI开发者齐聚北京,进行技术解读和产业论证。我们不空谈口号,只谈技术,诚挚邀请AI业内人士一起共铸人工智能新篇章!

web网页制作期末大作业

分享思维,改变世界. web网页制作,期末大作业. 所用技术:html css javascript 分享所学所得

手把手实现Java图书管理系统(附源码)

【超实用课程内容】 本课程演示的是一套基于Java的SSM框架实现的图书管理系统,主要针对计算机相关专业的正在做毕设的学生与需要项目实战练习的java人群。详细介绍了图书管理系统的实现,包括:环境搭建、系统业务、技术实现、项目运行、功能演示、系统扩展等,以通俗易懂的方式,手把手的带你从零开始运行本套图书管理系统,该项目附带全部源码可作为毕设使用。 【课程如何观看?】 PC端:https://edu.csdn.net/course/detail/27513 移动端:CSDN 学院APP(注意不是CSDN APP哦) 本课程为录播课,课程2年有效观看时长,大家可以抓紧时间学习后一起讨论哦~ 【学员专享增值服务】 源码开放 课件、课程案例代码完全开放给你,你可以根据所学知识,自行修改、优化 下载方式:电脑登录https://edu.csdn.net/course/detail/27513,点击右下方课程资料、代码、课件等打包下载

MySQL数据库面试题(2020最新版)

文章目录数据库基础知识为什么要使用数据库什么是SQL?什么是MySQL?数据库三大范式是什么mysql有关权限的表都有哪几个MySQL的binlog有有几种录入格式?分别有什么区别?数据类型mysql有哪些数据类型引擎MySQL存储引擎MyISAM与InnoDB区别MyISAM索引与InnoDB索引的区别?InnoDB引擎的4大特性存储引擎选择索引什么是索引?索引有哪些优缺点?索引使用场景(重点)...

2019 Python开发者日-培训

本次活动将秉承“只讲技术,拒绝空谈”的理念,邀请十余位身处一线的Python技术专家,重点围绕Web开发、自动化运维、数据分析、人工智能等技术模块,分享真实生产环境中使用Python应对IT挑战的真知灼见。此外,针对不同层次的开发者,大会还安排了深度培训实操环节,为开发者们带来更多深度实战的机会。

C++语言基础视频教程

C++语言基础视频培训课程:本课与主讲者在大学开出的程序设计课程直接对接,准确把握知识点,注重教学视频与实践体系的结合,帮助初学者有效学习。本教程详细介绍C++语言中的封装、数据隐藏、继承、多态的实现等入门知识;主要包括类的声明、对象定义、构造函数和析构函数、运算符重载、继承和派生、多态性实现等。 课程需要有C语言程序设计的基础(可以利用本人开出的《C语言与程序设计》系列课学习)。学习者能够通过实践的方式,学会利用C++语言解决问题,具备进一步学习利用C++开发应用程序的基础。

零基础学C#编程—C#从小白到大咖

本课程从初学者角度出发,提供了C#从入门到成为程序开发高手所需要掌握的各方面知识和技术。 【课程特点】 1 由浅入深,编排合理; 2 视频讲解,精彩详尽; 3 丰富实例,轻松易学; 4 每章总结配有难点解析文档。 15大章节,228课时,1756分钟与你一同进步!

编程实现学生基本信息管理程序

编程实现学生基本信息管理程序。学生基本信息包括:学号、姓名、性别、年龄、班级、学院、专业等。具体实现的管理功能如下: (1) 输入并显示多个学生的基本信息; (2) 可根据需要实现学生信息的添加; (

android 漂亮的UI界面 完整的界面设计

声明:这也是我学习时在网上下载的,鉴于分享精神,并且觉得很不错才上传上来的。。。。。 android 漂亮的UI界面 完整的界面设计 这是一个完整的UI设计,但是没写动作,这是一个公司程序员的公司任务

Anaconda详细安装及使用教程(带图文)

Anacond的介绍 Anaconda指的是一个开源的Python发行版本,其包含了conda、Python等180多个科学包及其依赖项。 因为包含了大量的科学包,Anaconda 的下载文件比较大(约 531 MB),如果只需要某些包,或者需要节省带宽或存储空间,也可以使用Miniconda这个较小的发行版(仅包含conda和 Python)。 Conda是一个开源的包、环境管理器,可以用于...

DirectX修复工具V4.0增强版

DirectX修复工具(DirectX Repair)是一款系统级工具软件,简便易用。本程序为绿色版,无需安装,可直接运行。 本程序的主要功能是检测当前系统的DirectX状态,如果发现异常则进行修复

相关热词 c#怎么获得线程名 c# usb 采集器 c# sort() c#面对对象的三大特性 c# 打印 等比缩放 c#弹出右键菜单 c# 系统托盘图标 c# 键值对 键可以重复 c# 鼠标移上去提示 c#结构体定义
立即提问